// Counters.java
//
// Informatics 45 Spring 2010
// Code Example: JPanels, Nested Layout, Model Separation, and Custom Events
// Version 3
//
// This class contains the "business logic," or the "model," for our
// program.  Its job is to initialize and keep track of the values in
// the counters, as well as to provide methods that allow their values
// to be fetched and incremented.
//
// Note that I didn't provide "set" methods (like setHelloCount()), but
// instead only provided methods that increment the counts.  The reason
// is that our program never sets the counts; it only increments them.  I
// can always add "set" methods later if I need them, but since my program
// doesn't currently call for them, I'll leave them out; including them
// only leaves open the possibility that I might call them, which will
// certainly be a bug, given our current design.
//
// It should be pointed out that there is not much code here and it might
// seem like a waste of effort to break out this small amount of logic
// into its own class.  However, what I'm trying to do is to show you a
// pattern for separating the model from the view in a program with a
// graphical user interface; this is something you would want to do with
// a program that has more complexity, such as the one you're building in
// Project #1.

package inf45.spring2010.examples.gui2;


public class Counters
{
	private int helloCount;
	private int goodbyeCount;
	private int booCount;
	
	
	public Counters()
	{
		helloCount = 0;
		goodbyeCount = 0;
		booCount = 0;
	}
	
	
	public int getHelloCount()
	{
		return helloCount;
	}
	
	
	public void incrementHelloCount()
	{
		helloCount++;
	}
	
	
	public int getGoodbyeCount()
	{
		return goodbyeCount;
	}
	
	
	public void incrementGoodbyeCount()
	{
		goodbyeCount++;
	}
	
	
	public int getBooCount()
	{
		return booCount;
	}
	
	
	public void incrementBooCount()
	{
		booCount++;
	}
}
